Attribute VB_Name = "Mod"
Option Explicit

Public lnSize As Long

Public Type ID3Tag
    Header As String * 3
    SongTitle As String * 30
    Artist  As String * 30
    Album  As String * 30
    Year  As String * 4
    Comment As String * 30
    Genre  As Byte
End Type

Public Type NOTIFYICONDATA
       cbSize As Long
       hwnd As Long
       uId As Long
       uFlags As Long
       uCallBackMessage As Long
       hIcon As Long
       szTip As String * 64
End Type

Public nid As NOTIFYICONDATA

Public Const NIM_ADD = &H0
Public Const NIM_MODIFY = &H1
Public Const NIM_DELETE = &H2
Public Const NIF_MESSAGE = &H1
Public Const NIF_ICON = &H2
Public Const NIF_TIP = &H4
Public Const WM_MOUSEMOVE = &H200
Public Const WM_LBUTTONDOWN = &H201     'Button down
Public Const WM_LBUTTONUP = &H202       'Button up
Public Const WM_LBUTTONDBLCLK = &H203   'Double-click
Public Const WM_RBUTTONDOWN = &H204     'Button down
Public Const WM_RBUTTONUP = &H205       'Button up
Public Const WM_RBUTTONDBLCLK = &H206   'Double-click

Public Declare Function SetForegroundWindow Lib "user32" _
                (ByVal hwnd As Long) As Long
Public Declare Function Shell_NotifyIcon Lib "shell32" _
                Alias "Shell_NotifyIconA" _
                (ByVal dwMessage As Long, pnid As NOTIFYICONDATA) As Boolean

Public Function GetID3Tag(filename As String, Tag As ID3Tag) As Boolean
Dim TempTag As ID3Tag
Dim FileNum As Long

    If Dir(filename) = "" Then
        GetID3Tag = False
        Exit Function
    End If
    FileNum = FreeFile
    Open filename For Binary As FileNum
        If LOF(1) > 127 Then _
            Get FileNum, LOF(1) - 127, TempTag
        lnSize = LOF(1)
        lnSize = CLng(lnSize / 1024)
    Close FileNum
    If TempTag.Header <> "TAG" Then
        GetID3Tag = False
    Else
        Tag = TempTag
        GetID3Tag = True
    End If
End Function
